@rem **************************************************************************
@rem 
@rem Copyright(C) 2018 Yamaha Corporation.
@rem All rights reserved.
@rem
@rem YVC-200_KeyConfig batch file
@rem
@rem 2018.12.19 : create a new entry
@rem 
@rem How to useF
@rem 1) Put this batch file on the same folder as YVC-200_KeyConfig.exe
@rem 2) Boot YVC-200 by connecting with PC via USB cable (Required FW:v101b or later)
@rem 3) edit the parameters "_LOCK_KEY_TYPE_" , "_SE_" as you want
@rem 4) Execute this batch (Double-click the file), and you will see this message below.
@rem      "set key configs ...
@rem       ok : completed"
@rem **************************************************************************

setlocal
echo off

@rem --------------------------------------------------------------------------
@rem Choose keys you want to lock (multiple choice available with a space key)
@rem - Bluetooth 
@rem - Call
@rem - MicMute
@rem - VolDown
@rem - VolUp
@rem - SpMute
@rem --------------------------------------------------------------------------

set _LOCK_KEY_TYPE_=Bluetooth Call MicMute VolDown VolUp SpMute


@rem --------------------------------------------------------------------------
@rem Playing back the error sound when the locked key is pushed?
@rem - on
@rem - off
@rem --------------------------------------------------------------------------

set _SE_=on







@rem --------------------------------------------------------------------------
@rem Execution
@rem --------------------------------------------------------------------------

set _EXEC_=YVC-200_KeyConfig.exe

%_EXEC_% -lock %_LOCK_KEY_TYPE_% -se %_SE_%

pause
endlocal
